org.apache.flume.channel

## Class AbstractChannel

- java.lang.Object
- - org.apache.flume.channel.AbstractChannel

- All Implemented Interfaces:
    Channel, Configurable, LifecycleAware, NamedComponent
  Direct Known Subclasses:
    BasicChannelSemantics, JdbcChannel, PseudoTxnMemoryChannel

      @InterfaceAudience.Public
      @InterfaceStability.Stable
      public abstract class AbstractChannel
      extends Object
      implements Channel, LifecycleAware, Configurable

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractChannel()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `configure(Context context)` Request the implementing class to (re)configure itself.
    `LifecycleState` | `getLifecycleState()` Return the current state of the service or component.
    `String` | `getName()`
    `void` | `setName(String name)`
    `void` | `start()` Starts a service or component.
    `void` | `stop()` Stops a service or component.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.flume.Channel

      `getTransaction, put, take`

- - ### Constructor Detail

    - #### AbstractChannel

          public AbstractChannel()

  - ### Method Detail

    - #### setName

          public void setName(String name)

      Specified by:
        `setName` in interface `NamedComponent`

    - #### start

          public void start()

      Description copied from interface: `LifecycleAware`

      Starts a service or component.

      Implementations should determine the result of any start logic and effect the return value of `LifecycleAware.getLifecycleState()` accordingly.

      Specified by:
        `start` in interface `LifecycleAware`

    - #### stop

          public void stop()

      Description copied from interface: `LifecycleAware`

      Stops a service or component.

      Implementations should determine the result of any stop logic and effect the return value of `LifecycleAware.getLifecycleState()` accordingly.

      Specified by:
        `stop` in interface `LifecycleAware`

    - #### getLifecycleState

          public LifecycleState getLifecycleState()

      Description copied from interface: `LifecycleAware`

      Return the current state of the service or component.

      Specified by:
        `getLifecycleState` in interface `LifecycleAware`

    - #### getName

          public String getName()

      Specified by:
        `getName` in interface `NamedComponent`

    - #### configure

          public void configure(Context context)

      Description copied from interface: `Configurable`

      Request the implementing class to (re)configure itself.

      When configuration parameters are changed, they must be reflected by the component asap.

      There are no thread safety guarantees on when configure might be called.

      Specified by:
        `configure` in interface `Configurable`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.